
<body bgcolor="#ffffff"> <i>The Hugs 98 User Manual</i><br> <a href="index.html">top</a> | <a href="diffs.html">back</a> | next  <br><hr>
<a name="avail"></a><a name="sect10"></a>
<h2>10<tt>&nbsp;&nbsp;</tt>Pointers to further information</h2>
<h3>Hugs</h3>
The full distribution for Hugs is available on
the World Wide Web from:
<a href="http://haskell.org/hugs"><tt>http://haskell.org/hugs</tt></a>.
The distribution includes source code, demo programs, library files,
user documentation, and precompiled binaries for common platforms.<p>
There is a mailing list for Hugs users at <tt>hugs-users@haskell.org</tt>,
and another for bug reports at <tt>hugs-bugs@haskell.org</tt>.
Admin requests (for example, to subscribe or unsubscribe) should be sent to 
<tt>majordomo@haskell.org</tt>.  For more detailed instructions,
just send a message to this address with <tt>help</tt> in the body.
An overview of nearly all Haskell related resources can be found
at <a href="http://haskell.org"><tt>http://haskell.org</tt></a>.<p>
<h3>Functional programming</h3>
The usenet newsgroup <tt>comp.lang.functional</tt> provides a forum for general
discussion about functional programming languages.  A list of frequently
asked questions (FAQs), and their answers, is available from:
<a href="http://www.cs.nott.ac.uk/Department/Staff/gmh/faq.html"><tt>http://www.cs.nott.ac.uk/Department/Staff/gmh/faq.html</tt></a>.
The FAQ list contains many pointers to other functional programming
resources around the world.<p>
<h3>Further reading</h3>
As we said at the very beginning, this manual is not intended as a
tutorial on either functional programming in general, or Haskell in
particular. For these things, our first recommendations would be for
the <I>Introduction to Functional Programming</I> by Bird
and Wadler [<a href="hugs.html#$BW">BW</a>], and the <I>Gentle Introduction to Haskell</I> by
Hudak, Peterson and Fasel [<a href="hugs.html#$GentleIntro">GentleIntro</a>], respectively.  Note,
however, that there are several other good textbooks dealing either
with Haskell or related languages.<p>
For those with an interest in the implementation of Hugs, the
report about the implementation of Gofer [<a href="hugs.html#$Gofer">Gofer</a>],
Hugs' predecessor, should be a useful starting point.<p>
<hr><i>The Hugs 98 User Manual</i><br><a href="index.html">top</a> | <a href="diffs.html">back</a> | next  <br><font size=2>May 22, 1999</font>
